package com.zhyc.module.produce.breed.service;

import java.util.List;
import java.util.Map;
import com.zhyc.module.produce.breed.domain.ScSheepDeath;

/**
 * 羊只死淘记录Service接口
 *
 * @author ruoyi
 * @date 2025-08-06
 */
public interface IScSheepDeathService
{
    /**
     * 查询羊只死淘记录
     *
     * @param id 羊只死淘记录主键
     * @return 羊只死淘记录
     */
    public ScSheepDeath selectScSheepDeathById(Long id);

    /**
     * 查询羊只死淘记录列表
     *
     * @param scSheepDeath 羊只死淘记录
     * @return 羊只死淘记录集合
     */
    public List<ScSheepDeath> selectScSheepDeathList(ScSheepDeath scSheepDeath);

    /**
     * 新增羊只死淘记录
     *
     * @param scSheepDeath 羊只死淘记录
     * @return 结果
     */
    public int insertScSheepDeath(ScSheepDeath scSheepDeath);

    /**
     * 修改羊只死淘记录
     *
     * @param scSheepDeath 羊只死淘记录
     * @return 结果
     */
    public int updateScSheepDeath(ScSheepDeath scSheepDeath);

    /**
     * 批量删除羊只死淘记录
     *
     * @param ids 需要删除的羊只死淘记录主键集合
     * @return 结果
     */
    public int deleteScSheepDeathByIds(Long[] ids);

    /**
     * 删除羊只死淘记录信息
     *
     * @param id 羊只死淘记录主键
     * @return 结果
     */
    public int deleteScSheepDeathById(Long id);

    /**
     * 根据管理耳号查询sheep_file视图信息
     *
     * @param manageTags 管理耳号
     * @return 羊只信息
     */
    public Map<String, Object> selectSheepFileByManageTags(String manageTags);

    /**
     * 远程搜索：管理耳号
     */
    public List<String> selectDistinctManageTags(String query);

    /**
     * 远程搜索：技术员
     */
    public List<String> selectDistinctTechnician(String query);

    /**
     * 远程搜索：处理人
     */
    public List<String> selectDistinctHandler(String query);

    /**
     * 模糊查询母羊耳号列表
     *
     * @param query 查询关键字
     * @return 耳号列表
     */
    public List<String> searchEarNumbers(String query);
}